For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • POSTUpdate
        • DELDelete
        • GETGet History
        • POSTRestore
Logo
Sign inBook a demo
API ReferenceEntityApproval Policy

Get History

GET
https://api.mercoa.com/entity/:entityId/approval-policies/history
GET
/entity/:entityId/approval-policies/history
$curl https://api.mercoa.com/entity/entityId/approval-policies/history \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "id",
4 "policies": [
5 {
6 "id": "id",
7 "trigger": [
8 {
9 "type": "amount",
10 "amount": 1.1,
11 "currency": "AED",
12 "comparison": "eq"
13 },
14 {
15 "type": "amount",
16 "amount": 1.1,
17 "currency": "AED",
18 "comparison": "eq"
19 }
20 ],
21 "rule": {
22 "type": "approver",
23 "identifierList": {
24 "type": "rolesList",
25 "value": [
26 "identifierList",
27 "identifierList"
28 ]
29 },
30 "numApprovers": 1,
31 "autoAssign": true
32 },
33 "upstreamPolicyId": "upstreamPolicyId",
34 "createdAt": "2024-01-15T09:30:00Z",
35 "updatedAt": "2024-01-15T09:30:00Z"
36 },
37 {
38 "id": "id",
39 "trigger": [
40 {
41 "type": "amount",
42 "amount": 1.1,
43 "currency": "AED",
44 "comparison": "eq"
45 },
46 {
47 "type": "amount",
48 "amount": 1.1,
49 "currency": "AED",
50 "comparison": "eq"
51 }
52 ],
53 "rule": {
54 "type": "approver",
55 "identifierList": {
56 "type": "rolesList",
57 "value": [
58 "identifierList",
59 "identifierList"
60 ]
61 },
62 "numApprovers": 1,
63 "autoAssign": true
64 },
65 "upstreamPolicyId": "upstreamPolicyId",
66 "createdAt": "2024-01-15T09:30:00Z",
67 "updatedAt": "2024-01-15T09:30:00Z"
68 }
69 ],
70 "userId": "userId",
71 "createdAt": "2024-01-15T09:30:00Z"
72 },
73 {
74 "id": "id",
75 "policies": [
76 {
77 "id": "id",
78 "trigger": [
79 {
80 "type": "amount",
81 "amount": 1.1,
82 "currency": "AED",
83 "comparison": "eq"
84 },
85 {
86 "type": "amount",
87 "amount": 1.1,
88 "currency": "AED",
89 "comparison": "eq"
90 }
91 ],
92 "rule": {
93 "type": "approver",
94 "identifierList": {
95 "type": "rolesList",
96 "value": [
97 "identifierList",
98 "identifierList"
99 ]
100 },
101 "numApprovers": 1,
102 "autoAssign": true
103 },
104 "upstreamPolicyId": "upstreamPolicyId",
105 "createdAt": "2024-01-15T09:30:00Z",
106 "updatedAt": "2024-01-15T09:30:00Z"
107 },
108 {
109 "id": "id",
110 "trigger": [
111 {
112 "type": "amount",
113 "amount": 1.1,
114 "currency": "AED",
115 "comparison": "eq"
116 },
117 {
118 "type": "amount",
119 "amount": 1.1,
120 "currency": "AED",
121 "comparison": "eq"
122 }
123 ],
124 "rule": {
125 "type": "approver",
126 "identifierList": {
127 "type": "rolesList",
128 "value": [
129 "identifierList",
130 "identifierList"
131 ]
132 },
133 "numApprovers": 1,
134 "autoAssign": true
135 },
136 "upstreamPolicyId": "upstreamPolicyId",
137 "createdAt": "2024-01-15T09:30:00Z",
138 "updatedAt": "2024-01-15T09:30:00Z"
139 }
140 ],
141 "userId": "userId",
142 "createdAt": "2024-01-15T09:30:00Z"
143 }
144]
Retrieve the history of approval policy changes for an entity
Was this page helpful?
Previous

Restore

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Response

This endpoint returns a list of objects.
idstring
The ID of the approval policy history
policieslist of objects
userIdstring
The user ID of the user who edited the approval policy
createdAtdatetime

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented